Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class ViewFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.ViewFacade

public class ViewFacade
extends java.lang.Object

Facade of a luntbuild view. It is mainly used by web service client to operate on view specific properties

Author:
  robin shine

Constructor Summary
`ViewFacade()`

Method Summary
`java.lang.String` | `getAntCommand()` Get and command to perform build of this view
`java.lang.String` | `getBuildFilePath()` Get build file path of this view
`java.lang.String` | `getBuildTarget()` Get build target of this view
`java.lang.String` | `getDescription()` Get description of this view
`java.lang.String` | `getEnvFilePath()` Get environment file used when perform build of this view
`long` | `getId()` Get id of this view
`java.lang.String` | `getName()` Get name of this view
`java.lang.String` | `getNextVersion()` &nbp; Get next version for build of this view.
`VcsFacade` | `getVcs()` Get view level vcs object of this view
`void` | `setAntCommand(java.lang.String antCommand)` Set ant command to perform build of this view
`void` | `setBuildFilePath(java.lang.String buildFilePath)` Set build file path of this view
`void` | `setBuildTarget(java.lang.String buildTarget)` Set the build target of this view
`void` | `setDescription(java.lang.String description)` Set description of this view
`void` | `setEnvFilePath(java.lang.String envFilePath)` Set environment file used when perform build of this view
`void` | `setId(long id)` Set id of this view
`void` | `setName(java.lang.String name)` Set name of this view
`void` | `setNextVersion(java.lang.String nextVersion)` Set next version to build of this view
`void` | `setVcs(VcsFacade vcs)` Set view level vcs object of this view

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewFacade

    public ViewFacade()

Method Detail

### getId

    public long getId()

  Get id of this view

  Returns:
    id of this view

### setId

    public void setId(long id)

  Set id of this view

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Get name of this view

  Returns:
    name of this view

### setName

    public void setName(java.lang.String name)

  Set name of this view

  Parameters:
    `name` -

### getDescription

    public java.lang.String getDescription()

  Get description of this view

  Returns:
    description of this view

### setDescription

    public void setDescription(java.lang.String description)

  Set description of this view

  Parameters:
    `description` -

### getBuildFilePath

    public java.lang.String getBuildFilePath()

  Get build file path of this view

  Returns:
    build file path of this view

### setBuildFilePath

    public void setBuildFilePath(java.lang.String buildFilePath)

  Set build file path of this view

  Parameters:
    `buildFilePath` -

### getBuildTarget

    public java.lang.String getBuildTarget()

  Get build target of this view

  Returns:
    build target of this view

### setBuildTarget

    public void setBuildTarget(java.lang.String buildTarget)

  Set the build target of this view

  Parameters:
    `buildTarget` -

### getAntCommand

    public java.lang.String getAntCommand()

  Get and command to perform build of this view

  Returns:
    ant command to perform build of this view

### setAntCommand

    public void setAntCommand(java.lang.String antCommand)

  Set ant command to perform build of this view

  Parameters:
    `antCommand` -

### getEnvFilePath

    public java.lang.String getEnvFilePath()

  Get environment file used when perform build of this view

  Returns:
    environment file used when perform build of this view

### setEnvFilePath

    public void setEnvFilePath(java.lang.String envFilePath)

  Set environment file used when perform build of this view

  Parameters:
    `envFilePath` -

### getNextVersion

    public java.lang.String getNextVersion()

  Get next version for build of this view. Refer to user manual for detail information of this property

  Returns:
    next version to build of this view

### setNextVersion

    public void setNextVersion(java.lang.String nextVersion)

  Set next version to build of this view

  Parameters:
    `nextVersion` -

### getVcs

    public VcsFacade getVcs()

  Get view level vcs object of this view

  Returns:
    view level vcs object of this view

### setVcs

    public void setVcs(VcsFacade vcs)

  Set view level vcs object of this view

  Parameters:
    `vcs` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.